﻿@using Microsoft.AspNetCore.Identity;
@using Microsoft.AspNetCore.Http;
@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser>   UserManager
@inject IHttpContextAccessor HttpContextAccessor

<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>

    <meta charset="utf-8">
    <link rel="apple-touch-icon" sizes="76x76" href="">
    <link rel="icon" type="image/png" href="">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title>پنل مدیریت لامینگوبلاگ</title>

    <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport">
    <meta name="viewport" content="width=device-width">

    @*<link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet">*@
    <link href="~/lib/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Material+Icons">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    @*<link href="~/panel/kendo.common-material.min.css" rel="stylesheet" type="text/css" />
        <link href="~/panel/kendo.mobile.all.min.css" rel="stylesheet" type="text/css" />
        <link href="~/panel/kendo.material.min.css" rel="stylesheet" type="text/css" />*@

    <link href="https://kendo.cdn.telerik.com/2019.1.115/styles/kendo.common-material.min.css" rel="stylesheet" type="text/css" />
    <link href="https://kendo.cdn.telerik.com/2019.1.115/styles/kendo.mobile.all.min.css" rel="stylesheet" type="text/css" />
    <link href="https://kendo.cdn.telerik.com/2019.1.115/styles/kendo.material.min.css" rel="stylesheet" type="text/css" />

    <link href="~/ADMIN/Content/Kendo/Style/kendo.rtl.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/bootstrap.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/material-dashboard.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/demo.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/custom.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/persian-datepicker-0.4.5.css" rel="stylesheet" />
    @RenderSection("Styles", required: false)

    <script src="~/panel/jquery.min.js"></script>
    <script src="~/panel/jszip.min.js"></script>
    <script src="~/panel/kendo.all.min.js"></script>
    <script src="~/panel/kendo.aspnetmvc.min.js"></script>

    <script src="~/ADMIN/Content/Kendo/js/kendo.fa-IR.js"></script>
    <script src="~/widget/js/moment.js" type="text/javascript"></script>
    <script src="~/widget/js/moment-jalaali.js" type="text/javascript"></script>
    <script>
            moment.loadPersian();

            var persianTime = function(s) {
                return moment(s, 'YYYY-M-DTHH:mm:ss').endOf('jMonth').format('jD jMMMM jYYYY HH:mm');
            };

    </script>
    <style>
        .k-command-cell a.k-button.k-button-icontext {
            background: #d2d2d2 !important;
            border: none;
            color: black;
            padding: 5px 10px !important;
            border-radius: 3px !important;
        }

            .k-command-cell a.k-button.k-button-icontext span {
                margin-left: 10px !important;
            }

        .k-edit-form-container {
            width: 90% !important;
            margin: 0 auto;
        }

            .k-edit-form-container .editor-label, .k-edit-label {
                width: 20% !important;
            }

            .k-edit-field, .k-edit-form-container .editor-field {
                width: 70% !important;
            }

        .k-block, .k-draghandle, .k-grid-header, .k-grouping-header, .k-header, .k-pager-wrap, .k-treemap-tile, html .km-pane-wrapper .k-header {
            background-color: #3f51b5;
        }

        .k-panelbar .k-tabstrip-items .k-state-active, .k-tabstrip-items .k-state-active {
            background-color: #5364c5 !important;
            background-image: none;
            border-bottom-color: #00b0ff;
            border-bottom-width: 3px !IMPORTANT;
        }

        .k-edit-form-container .k-button, .k-edit-form-container .k-primary:active, .k-popup .k-button, .k-popup .k-primary:active, .k-popup .k-primary:active:hover {
            color: #444;
            background-color: #cecece;
            border-color: #fafafa;
            box-shadow: none;
        }
    </style>
    @RenderSection("script", required: false)


</head>
<body cz-shortcut-listen="true">

    <div class="wrapper">
        <div class="sidebar" data-active-color="orange" data-background-color="black" data-image="" style="overflow-x:hidden;">

            <div class="logo">
                <a href="" class="simple-text logo-mini">
                    law
                </a>

                <a href="" class="simple-text logo-normal" style="margin-right:25px;color:#ff9800">
                    lawmingo
                </a>
            </div>

            <div class="sidebar-wrapper ps-container ps-theme-default ps-active-y" data-ps-id="ad5e8a12-79b0-4cb2-c919-d5c4e15499c2" style="overflow:hidden;">
                <div class="user">
                    <div class="photo" style="margin-top:11px;">
                        <img src="~/ADMIN/Content/img/avatar.jpg">

                    </div>
                    <div class="info" style="margin-top: -7px;">
                        <a data-toggle="collapse" href="#collapseExample" class="collapsed">
                            <span>

                                @{
                                    if (User.Identity.IsAuthenticated)
                                    {
                                        var result = UserManager.FindByIdAsync(UserManager.GetUserId(HttpContextAccessor.HttpContext.User));

                                        if (!string.IsNullOrEmpty(result.Result.Email))
                                        {
                                            <span>@result.Result.Email</span>
                                        }
                                    }

                                }

                                <b class="caret"></b>
                                <p style="color: #ff9800;margin-bottom:0;">نقش کاربر : <span style="font-weight:bold;">مدیر</span></p>
                            </span>
                        </a>

                        <div class="clearfix"></div>
                        <div class="collapse" id="collapseExample">
                            @{
                                if (User.Identity.IsAuthenticated)
                                {
                                    @Html.AntiForgeryToken()
                                    <ul class="nav">
                                        <li>
                                            <a href="#">
                                                <span class="sidebar-normal">پروفایل </span>
                                            </a>
                                        </li>
                                        <li>
                                            <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                                                <button type="submit" class="sidebar-normal"> <i class="fa fa-sign-out"></i> خروج از حساب</button>
                                            </form>
                                        </li>
                                    </ul>
                                }
                            }

                        </div>
                    </div>
                </div>
                <ul class="nav">

                    <li class="">
                        <a href="@Url.Action("Index","Home",new { area="blogpanel" })">

                            <i class="material-icons">dashboard</i>
                            <p> پنل مدیریت </p>

                        </a>
                    </li>

                    <li>
                        <a data-toggle="collapse" href="#pagesExamples">
                            <i class="material-icons">account_box</i>
                            <p>
                                تنظیمات کاربران
                                <b class="caret"></b>
                            </p>
                        </a>

                        <div class="collapse" id="pagesExamples">
                            <ul class="nav">
                                <li>
                                    <a class="nav-link" href="@Url.Action("Create","User",new { area="blogpanel" })">

                                        <span class="sidebar-normal"> ایجاد کاربر </span>
                                    </a>
                                </li>
                                <li>
                                    <a class="nav-link" href="@Url.Action("Password","User",new { area="blogpanel" })">

                                        <span class="sidebar-normal"> تغییر پسورد </span>
                                    </a>
                                </li>

                            </ul>
                        </div>
                    </li>
                    <panel-menu-item action="Posts" current-url="@Context.Request.Path">
                        <a class="nav-link" href="@Url.Action("Index","Posts",new { area="blogpanel" })">
                            <i class="material-icons">library_books</i>
                            <p>پست ها</p>
                        </a>
                    </panel-menu-item>

                    <panel-menu-item action="Subjects" current-url="@Context.Request.Path">
                        <a class="nav-link" href="@Url.Action("Index","Subjects",new { area="blogpanel" })">
                            <i class="material-icons">library_books</i>
                            <p>گروه ها</p>
                        </a>
                    </panel-menu-item>

                    <panel-menu-item action="Tags" current-url="@Context.Request.Path">
                        <a class="nav-link" href="@Url.Action("Index","Tags",new { area="blogpanel" })">
                            <i class="material-icons">library_books</i>
                            <p>برچسب ها</p>
                        </a>
                    </panel-menu-item>
                    <panel-menu-item action="Authors" current-url="@Context.Request.Path">
                        <a class="nav-link" href="@Url.Action("Index","Authors",new { area="blogpanel" })">
                            <i class="material-icons">library_books</i>
                            <p>نویسنده ها</p>
                        </a>
                    </panel-menu-item>
                </ul>
            </div>

            <div class="sidebar-background"></div>
        </div>
        @RenderBody()
    </div>

    <environment include="Development">

    </environment>

    <script src="~/ADMIN/JS/perfect-scrollbar.jquery.min.js"></script>
    <script src="~/ADMIN/JS/bootstrap.min.js"></script>
    <script src="~/ADMIN/JS/popper.min.js"></script>
    <script src="~/ADMIN/JS/material.min.js"></script>
    <script src="~/ADMIN/JS/chartist.min.js"></script>
    <script src="~/ADMIN/JS/material-dashboard.js"></script>  
    <script src="~/ADMIN/JS/demo.js"></script>
    <script>
        
        function _DisplayColor(color) {
            return "<span style='background-color:" + color + ";width: 20px;height: 20px;display: block;border-radius: 50px;margin: 0 auto !important;border: 1px solid #d4d4d4;'></span>"
        }
        function _DisplayImage(image , dest) {
            return "<img style='width: 80px;height: 80px;display: block;margin: 0 auto !important;border: 1px solid #d4d4d4;' src='/Blog/" + dest + "/" + image + "' />"
        }

        function LocalizeAdded(e) {
            var el = e.sender.wrapper[0];
            var id = $(el).closest('.k-content').attr('id');
            var tab = $(el).closest('.k-tabstrip').find('ul.k-tabstrip-items li[aria-controls=' + id + ']');
            if (e.sender.dataSource._data.length > 0) {
                $($(e.sender.wrapper).find('.k-grid-add')[0]).hide();
            }
            else {
                tab.css('background', '#999')
            }
            //e.model.set("LanguageID", 1);
            //var ddl = e.container.find("input[name='LanguageID']").data().kendoDropDownList;
            //ddl.enable(false);
        }

        function CheckDetailIsEmpty(e) {
            var el = e.sender.wrapper[0];
            var id = $(el).closest('.k-content').attr('id');
            var tab = $(el).closest('.k-tabstrip').find('ul.k-tabstrip-items li[aria-controls=' + id + ']');
            if (e.sender.dataSource._data.length > 0) {
                //$($(e.sender.wrapper).find('.k-grid-add')[0]).hide();
            }
            else {
                tab.css('background', '#999')
            }
            //e.model.set("LanguageID", 1);
            //var ddl = e.container.find("input[name='LanguageID']").data().kendoDropDownList;
            //ddl.enable(false);
        }
    </script>

    @RenderSection("scripts", required: false)

</body>
</html>
